Package org.apache.uima.pear.tools

# Class PackageInstallerException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.uima.InternationalizedRuntimeException
org.apache.uima.pear.tools.PackageInstallerException

All Implemented Interfaces:
  `Serializable`

public class PackageInstallerException extends InternationalizedRuntimeException
Exception thrown if PEAR installation fails.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PackageInstallerException(String aResourceBundleName, String aMessageKey)`
  Creates a new `PackageInstallerException` with the specified message.
  `PackageInstallerException(String aResourceBundleName, String aMessageKey, Object[] aArguments)`
  Creates a new `PackageInstallerException` with the specified message.
  `PackageInstallerException(String aResourceBundleName, String aMessageKey, Object[] aArguments, Throwable aCause)`
  Creates a new `PackageInstallerException` with the specified message and cause.
  `PackageInstallerException(String aResourceBundleName, String aMessageKey, Throwable aCause)`
  Creates a new `PackageInstallerException` with the specified message and cause.

- ## Method Summary

  ### Methods inherited from class org.apache.uima.InternationalizedRuntimeException

  `getArguments, getCause, getLocalizedMessage, getLocalizedMessage, getMessage, getMessageKey, getResourceBundleName, initCause, setResourceBundle`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PackageInstallerException

    public PackageInstallerException(String aResourceBundleName, String aMessageKey, Object[] aArguments)
    Creates a new `PackageInstallerException` with the specified message.
    Parameters:
      `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
      `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
      `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.

  - ### PackageInstallerException

    public PackageInstallerException(String aResourceBundleName, String aMessageKey)
    Creates a new `PackageInstallerException` with the specified message.
    Parameters:
      `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
      `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.

  - ### PackageInstallerException

    public PackageInstallerException(String aResourceBundleName, String aMessageKey, Throwable aCause)
    Creates a new `PackageInstallerException` with the specified message and cause.
    Parameters:
      `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
      `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
      `aCause` - the original exception that caused this exception to be thrown, if any

  - ### PackageInstallerException

    public PackageInstallerException(String aResourceBundleName, String aMessageKey, Object[] aArguments, Throwable aCause)
    Creates a new `PackageInstallerException` with the specified message and cause.
    Parameters:
      `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
      `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
      `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.
      `aCause` - the original exception that caused this exception to be thrown, if any